Header Parameters
KUEST_ADDRESS*string
Checksummed wallet address performing the request.
KUEST_API_KEY*string
API key obtained from the L1 derivation endpoint.
Format
uuidKUEST_PASSPHRASE*string
64 character hexadecimal passphrase associated with the API key.
KUEST_TIMESTAMP*string
Unix timestamp in seconds (string) used for freshness checks.
KUEST_SIGNATURE*string
Hex-encoded HMAC-SHA256 signature built from the L2 signing string.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X DELETE "https://example.com/cancel-market-orders" \ -H "KUEST_ADDRESS: string" \ -H "KUEST_API_KEY: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "KUEST_PASSPHRASE: string" \ -H "KUEST_TIMESTAMP: string" \ -H "KUEST_SIGNATURE: string" \ -H "Content-Type: application/json" \ -d '{}'{ "canceled": [ "string" ], "not_canceled": { "property1": "string", "property2": "string" }}{ "error": "string"}